Introduction

The “Quick Poll” module enables setting up a poll on your website so you could easily receive feedback from your users about whatever topic interests you (e.g. if they like your website, or would prefer some other options, or any other subject).

This document is a detailed guide for using the “Quick Poll” module. Each of the tasks available is described in the appropriate section of this document.

Note: this manual assumes prior experience with DotNetNuke application. For further information about DotNetNuke, please consult the DotNetNuke manual.


Installation Procedure

Included in your download are either one (If you only purchased the PA) or two (If you purchased the PA and Source Code) zip files. One zip file is the source code to the application, and the other zip file is the module which you can upload to your site.

When you extract the files, you will notice that it extracts two zip files (note: only one if you just purchased the PA).

  • DataSprings_QuickPoll_Module.zip - file for installing “QuickPoll” with your DNN

· DataSprings_QuickPoll_Source.zip - source zip file you can use in order to make any changes to the application (note: meant for advanced users)

In order to install your “Quick Poll” module, login with an account to your DNN site as a host or administrator account. Once logged in, Navigate to the Admin or Host menu item, and click on the “Module Definition”.

Figure 1: Installation procedure (step 1/7)

The following screen will be displayed.

Figure 2: Installation procedure (step 2/7)

Click on the “Upload New Module” to continue installing “Quick Poll” and the following screen will be displayed.

Figure 3: Installation procedure (step 3/7)

Click on the “Browse” button and the dialog window for locating the installation file “DataSprings_QuickPoll_Module.zip” will be displayed.

Figure 4: Installation procedure (step 4/7)

Locate the “DataSprings_QuickPoll_Module.zip” and click on the “Open” button. The following screen will be displayed.

Figure 5: Installation procedure (step 5/7)

Click on the “Add” link inside this screen in order to add the module and it will be added to the list.

Figure 6: Installation (step 6/7)

Select the “DataSprings_QuickPoll_Module.zip” file and click on the “Upload New File” link. The installation will begin and in couple of moments the screen informing you on successful completion will be displayed.

Figure 7: Installation procedure (step 7/7)

Note: please keep track of any errors that appear during the installation. These errors can be helpful if your module has problems.


Adding Quick Poll module to a page

In order to add “Quick Poll” module to a desired page follow these steps:

1. Select the “Add New Module” radio button

2. Choose “Quick Poll” from the “Module” pull down menu

3. Click on the “Add” link (or the arrow icon [image])

Figure 8: Adding a module to a page

The “Quick Poll” module will be added to the page. Click on the arrow next to the title of the module in order to open the main menu.

Figure 9: Opening the module main menu

Note: see section Quick Poll Main Menu for further information on main menu options.


Quick Poll Main Menu

This section of the document will give the definition of the “Quick Poll” main menu options. In order to start using the main menu, click on the arrow next to the title “Quick Poll”.

Figure 10: Opening the main menu

The following options are available inside this screen:

  • Poll Reports – option for viewing poll results (see section Managing Poll Reports)

  • Manage Polls – option for creating, editing and deleting polls (see section Managing Polls)

  • Help – option for accessing this manual

  • Online Help - option for accessing this manual

  • Print – option for printing the page

  • Settings – option for managing “Quick Poll” general settings (see section Quick Poll General Settings)

  • Delete – option for deleting a module (see section Deleting a module)

  • Move – option for placing the module in the desired part of the page:

o Move Down

o Move Bottom

o Move To LeftPane

o Move To RightPane


Managing Poll Reports

In order to start managing poll reports, choose option “Poll Reports” from the main menu.

Figure 11: Choosing option "Manage Settings"

The following screen will be displayed.

Figure 12: Choosing the desired poll

Choose the desired poll from the “Select Poll” pull down menu. The results of the selected poll will be displayed.

Figure 13: Poll results

The lower part of the screen contains further information on users such as:

  • Poll option – which was the chosen poll option

  • User ID – username of the user who voted

  • IP Address – IP address of the user who voted


Managing Polls

In order to start managing polls, choose option “Manage Polls” from the main menu.

Figure 14: Choosing option "Manage Polls"

The following screen will be displayed.

Figure 15: Managing Polls

The following options are available inside this screen:

  • Creating a new poll – see section Creating a new poll

  • Editing an existing poll – see section Editing an existing poll

  • Deleting a poll – see section Deleting a poll


Creating a new poll

Important: after creating a new poll, choose option “Settings” from the main menu in order to further customize the poll (see section Quick Poll General Settings).

In order to start creating a new poll, choose option “Manage Polls” from the main menu and then choose option “New Poll” from the “Select Poll” menu.

Figure 16: Creating a new poll (step 1/2)

The page will be refreshed and you will be able to set the desired parameters for the new poll.

Figure 17: Creating a new poll (step 2/2)

The following parameters are available inside this screen:

  • Enter Poll Name – field for setting the poll name so you could differentiate it from other polls in the list (note: this name is not visible on the website)

  • Poll Question – field for setting the poll question (e.g. “Do you like our website”)

o        Note: you have the possibility of formatting the text to match your preferences by using the WYSIWYG editor (see section Using the rich text formatting options for further information)

After setting these parameters, click on the “Update Poll” link and the new poll will be created. The page will be refreshed and you should choose the newly created poll from the “Select Poll” pull down menu in order to continue with the procedure of creating poll responses.


Creating a new response

In order to create a new response, first choose the poll, from the “Select Poll” pull down menu.

Figure 18: Creating a new response (step 1/3)

After choosing the poll, choose option “New Response” from the “Poll Response” menu.

Figure 19: Creating a new response (step 2/3)

The page will be refreshed and you will be able to define the response inside the “Response Text” field and set the desired sort order for this response inside the “Sort Order” input field.

Figure 20: Creating a new response (step 3/3)

After entering the response text (e.g. “The site is perfect”), click on the “Update Response” button in order to save the changes.

Note: this way you can create as much responses as you like.


Editing a response

In order to edit a response, choose option “Manage Polls” from the main menu, select the desired poll and then choose the desired response from the “Poll Response” pull down menu.

Figure 21: Editing a response

The chosen response will be loaded inside the page. Make the desired changes and click on the “Update Response” link in order to save them.


Deleting a response

In order to delete a response, choose option “Manage Polls” from the main menu, select the desired poll and then choose the desired response from the “Poll Response” pull down menu.

Figure 22: Editing a response

The chosen response will be loaded inside the page. Click on the “Delete Response” link in order to delete this response.


Example of the created poll

This screenshot demonstrates the created poll.

Figure 23: Example of the created poll


Editing an existing poll

In order to edit an existing poll, choose option “Manage Polls” from the main menu. The following screen will be displayed.

Figure 24: Editing a poll (step 1/2)

Choose the poll you want to edit from the “Select Poll” pull down menu and the page will be refreshed and parameters of the chosen poll will be displayed.

Figure 25: Editing a poll (step 2/2)

Make the necessary changes inside this screen and click on the “Update Poll” link in order to save them.


Deleting a poll

In order to delete a poll, choose option “Manage Polls” from the main menu. The following screen will be displayed.

Figure 26: Deleting a poll (step 1/2)

Choose the poll you want to delete from the “Select Poll” pull down menu and the page will be refreshed and parameters of the chosen poll will be displayed.

Figure 27: Deleting a poll (step 2/2)

Click on the “Delete Poll” link and this poll will be deleted.


Using the rich text formatting options

The “Quick Poll” module comes with the possibility to format the text using one of many options which are explained inside this section of the document.

Figure 28: Options for rich formatting

  • Basic Text Box – use this option if you want to define the news as text only

  • Rich Text Editor – use this option if you want to be able to use rich formatting options (HTML, images, text formatting, etc.)

  • Paragraph – use this pull down menu to apply the desired style (heading) to the selected text

  • Font – pull down menu for choosing the desired font

  • Size – pull down menu for choosing the font size

  • Color – pull down menu for choosing the font color

  • - bold

  • - italic

  • - underline

  • - strikethrough

  • - superscript

  • - subscript

  • - remove all formatting

  • - justify left

  • - justify center

  • - justify right

  • - justify full

  • - bulleted list

  • - numbered list

  • - indent

  • - outdent

  • - cut

  • - copy

  • - paste

  • - delete

  • - undo

  • - redo

  • Symbols – pull down menu for inserting special characters

  • - insert horizontal line

  • - insert date

  • - insert time

  • - create link

  • - remove link

  • - insert image from gallery

  • - insert table

  • - preview

  • - select all

  • - use this option if you are pasting the text from Word so that all unnecessary Word formatting would be removed


Quick Poll General Settings

In order to start managing general settings for “Quick Poll” module, choose option “Settings” from the main menu.

Figure 29: Choosing option "Settings" from the main menu

The following screen will be displayed.

Figure 30: General Module Settings

Scroll down to the bottom of the page and click on the “+” symbol next to the “Easy Poll Module Settings” to access the “Quick Poll” options.

Figure 31: Quick Poll Module Settings

The following parameters are available inside this screen:

  • Select Poll – pull down menu for choosing the poll settings will be applied to

  • Vote Label – field for setting the label of the link that will be used for voting (e.g. “Vote” or “Vote now”)

  • Thank you for voting message – field for defining the “thank you” message to the user after placing his vote

  • Hide Poll Results – tick this checkbox if you want to hide the poll results

  • Display User Count – tick this checkbox if you want to display the number of users that already voted

  • Allow multiple votes from user – tick this checkbox in order to allow multiple votes from one user

  • User already responded message – field for setting the message that will be displayed to the user if they try to vote again after already voting once (i.e. “Sorry you can only vote one time”!)

  • Results Bar Width – field for setting the results bar width in pixels

  • Results Bar Height - field for setting the results bar height in pixels

  • Force Sign On – option for forcing the user to sign on before voting; this will direct them to the sign on page if they are not signed in

  • Sign In Text – field for setting the text informing the user that he must sing in so he could vote (e.g. "Sign In To Vote"; should be used in combination with option above

After setting the desired parameters, click on the “Update” link in order to save the changes.


Deleting a module

In order to delete a module, choose option “Delete” from the main menu.

Figure 32: Deleting a module (step 1/2)

The dialog for confirming deletion of the module will be displayed.

Figure 33: Deleting a module (step 2/2)

Click on the “Ok” button and the module will be deleted.